<?php

namespace App\Models;

use App\Utils\S3;
use Illuminate\Database\Eloquent\Model;

class Album extends Model
{
    protected $fillable = [
        'name',
        'path',
        'uuid',
        'user_id'
    ];

    public function jsonSerialize():array 
    {
        return [
            'uuid' => $this->uuid,
            'name' => $this->name,
            'path' => $this->path, 
            'image' => $this->path,
            'user' => $this->user,
            'created_at' => date("d.m.Y", strtotime($this->created_at)),
        ];
    }

    public function user() 
    {
        return $this->belongsTo(User::class);
    }

    public function photos()
    {
        return $this->belongsToMany(Photo::class)->withTimestamps();
    }

    public function tags()
    {
        return $this->belongsToMany(Tag::class)->withTimestamps();
    }
}
