<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Document extends Model
{
    protected $fillable = [
        'uuid',
        'title',
        'html',
        'json',
        'document_state_id',
        'user_id'
    ];

    public function jsonSerialize():array 
    {
        return [
            'uuid' => $this->uuid,
            'title' => $this->title,
            'html' => $this->html,
            'json' => $this->json,
            'state' => $this->state,
            'user' => $this->user,
        ];
    }

    public function state() 
    {
        return $this->belongsTo(DocumentState::class);
    }

    public function user() 
    {
        return $this->belongsTo(User::class);
    }
}
